mfont_parse_name(3m17n)

NAME
mfont_parse_name - Create a font by parsing a fontname.

SYNOPSIS
MFont* mfont_parse_name (const char * name, MSymbol format)

DESCRIPTION
Create a font by parsing a fontname.

The mfont_parse_name() function creates a new font object. The properties are extracted fontname name.

format specifies the format of name. If format is Mx, name is parsed as XLFD (X Logical Font Description). If format is Mfontconfig, name is parsed as Fontconfig's textual representation of font. If format is Mnil, name is at first parsed as XLFD, and it it fails, parsed as Fontconfig's representation.

RETURN VALUE

    If the operation was successful, this function returns a pointer to the created font. Otherwise it returns NULL.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.